## eneconv

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

With <it>multiple files</it> specified for the `-f` option:
Concatenates several energy files in sorted order. In case of double time frames the one in the later file is used. By specifying `-settime` you will be asked for the start time of each file. The input files are taken from the command line, such that the command `eneconv -o fixed.edr *.edr` should do the trick.

With <it>one file</it> specified for `-f`:
Reads one energy file and writes another, applying the `-dt`, `-offset`, `-t0` and `-settime` options and converting to a different format if necessary (indicated by file extentions).

`-settime` is applied first, then `-dt`/`-offset` followed by `-b` and `-e` to select which frames to write.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `ener.edr` | Input, Mult. | Generic energy: edr ene
`-o` | `fixed.edr` | Output | Generic energy: edr ene

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | real | `-1` | First time to use
`-e` | real | `-1` | Last time to use
`-dt` | real | `0` | Only write out frame when t MOD dt = offset
`-offset` | real | `0` | Time offset for -dt option
`-[no]settime` | bool | `no` | Change starting time interactively
`-[no]sort` | bool | `yes` | Sort energy files (not frames)
`-scalefac` | real | `1` | Multiply energy component by this factor
`-[no]error` | bool | `yes` | Stop on errors in the file

- When combining trajectories the sigma and E^2 (necessary for statistics) are not updated correctly. Only the actual energy is correct. One thus has to compute statistics in another way.

http://www.gromacs.org
gromacs@gromacs.org